package main

import (
	"github.com/uptrace/bun"
)

type User struct {
  bun.BaseModel `bun:"table:users"`
  
  ID		int64	`bun:"id,pk,autoincrement"`
  Username	string	`bun:"username"`
}

type Feed struct {
  bun.BaseModel `bun:"table:feeds"`

  ID		int64	`bun:"id,pk,autoincrement"`
  CategoryID	int64	`bun:"category_id"`
  Title		string	`bun:"title"`
//SELECT id,category_id,title FROM feeds ORDER BY id;
}
type Entry struct {
  bun.BaseModel `bun:"table:entries"`

  ID		int64	`bun:"id,pk,autoincrement"`
  Title		string	`bun:"title"`
  Author	string	`bun:"author"`
//SELECT id,title,author FROM entries ORDER BY published_at LIMIT 10;
}
type Category struct {
  bun.BaseModel `bun:"table:categories"`

  ID		int64	`bun:"id,pk,autoincrement"`
  Title		string	`bun:"title"`
//SELECT id,title from categories;

}
